> ## Documentation Index
> Fetch the complete documentation index at: https://funnelfox.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Defer a subscription's next charge

> Postpone the next scheduled billing date for a subscription.



## OpenAPI

````yaml /swagger/openapi-billing.json post /subscription/defer
openapi: 3.0.0
info:
  title: OpenAPI3
  version: 1.0.0
servers:
  - url: https://billing.funnelfox.com/{org_id}/v1
    description: FunnelFox Billing API
    variables:
      org_id:
        default: your-org-id
        description: Your organization ID
security:
  - FunnelFoxSecretKey: []
paths:
  /subscription/defer:
    post:
      tags:
        - Subscription management
      summary: Defer a subscription's next charge
      description: Postpone the next scheduled billing date for a subscription.
      parameters:
        - name: org_id
          in: path
          required: true
          description: Organization ID
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubsDeferIn'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Ok200'
components:
  schemas:
    SubsDeferIn:
      properties:
        reason:
          default: ''
          description: Short reason code (e.g., "duplicate_payment", "unauthorized_charge")
          maxLength: 256
          title: Reason
          type: string
        comment:
          default: ''
          description: Human-readable comment or reference (e.g., support ticket link)
          maxLength: 2048
          title: Comment
          type: string
        external_id:
          description: Your unique identifier for the user
          maxLength: 256
          title: Customer Id
          type: string
          nullable: true
        subs_id:
          format: uuid
          title: Subs Id
          type: string
        defer_till:
          format: date-time
          title: Defer Till
          type: string
      required:
        - subs_id
        - defer_till
      title: SubsDeferIn
      type: object
    Ok200:
      properties: {}
      title: Ok200
      type: object
  securitySchemes:
    FunnelFoxSecretKey:
      type: apiKey
      in: header
      name: ff-secret-key
      description: Secret key for FunnelFox Billing API. Required for all requests.

````